## gdkpixbufsink gdkpixbufsink — Output images as GdkPixbuf objects in bus messages |

## Synopsis

    struct              GstGdkPixbufSink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstVideoSink
                                     +----GstGdkPixbufSink

## Properties

      "last-pixbuf"              GdkPixbuf*            : Read
      "send-messages"            gboolean              : Read / Write
      "post-messages"            gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | gdkpixbuf
author | Tim-Philipp Müller <tim centricular net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstGdkPixbufSink

    struct GstGdkPixbufSink;

## Property Details

### The `"last-pixbuf"` property

      "last-pixbuf"              GdkPixbuf*            : Read

Last GdkPixbuf object rendered.

### The `"send-messages"` property

      "send-messages"            gboolean              : Read / Write

Whether to post messages containing pixbufs on the bus (deprecated, use post-messages).

Default value: TRUE

### The `"post-messages"` property

      "post-messages"            gboolean              : Read / Write

Whether to post messages containing pixbufs on the bus.

Default value: TRUE